Subject: Re: [PATCH v2] Documentation: add platform support policy

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Jul 2024 16:46:40 -0700

Emily Shaffer <[email-masked]> writes:

> If I fudge with the rewrite a little, I get:
>
> """
> Git has a history of providing broad "support" for exotic platforms
> and older
> platforms, without an explicit commitment. Stakeholders of these platforms may
> want a more predictable support commitment. This is only possible when platform
> stakeholders supply Git developers with adequate tooling, so we can
> test for
> compatibility or develop workarounds for platform-specific quirks on
> our own.
> Various levels of tooling will allow us to make more solid commitments around
> Git's compatibility with your platform.
> """

This reads well.

> """
> Note that this document is about maintaining existing support for a platform
> that has generally worked in the past; for adding support to a
> platform which
> doesn't generally work with Git, the stakeholders for that platform are expected
> to do the bulk of that work themselves. We will consider such patches
> if they
> don't make life harder for other supported platforms, and you may well find a
> contributor interested in working on that support, but the Git
> community as a
> whole doesn't feel an obligation to perform such work.
> """

The part before "We will consider" reads very well.  The part after
that, I haven't formed a firm opinion on (yet).

> """
> * You should run nightly tests against the `next` branch and publish breakage
>   reports to the mailing list immediately when they happen.
>
> ** You may want to ask to join the
>    mailto:[email-masked][security
>    mailing list] in order to run tests against the fixes proposed there, too.
> """

Looking good, I guess.

THanks.